Smalltalk createPackage: 'Wrappers-JQuery'!
(Smalltalk packageAt: 'Wrappers-JQuery' ifAbsent: [ self error: 'Package not created: Wrappers-JQuery' ]) imports: {'jQuery' -> 'jquery'}!
Object subclass: #JQuery
	slots: {}
	package: 'Wrappers-JQuery'!

!JQuery class methodsFor: 'initialization'!

current
	^ jQuery
!

initialize
	"Allow JS method calls for the jQuery object.
	See boot.js DNU handling."
	
	Smalltalk optOut: jQuery
! !

!BlockClosure methodsFor: '*Wrappers-JQuery'!

asJQuery
	^ {self} asJQuery
!

asJQueryInContext: aContext
	^ {self} asJQueryInContext: aContext
! !

!JSObjectProxy methodsFor: '*Wrappers-JQuery'!

asJQuery
	<inlineJS: 'return jQuery($self.jsObject)'>
!

asJQueryInContext: aContext
	<inlineJS: 'return jQuery($self.jsObject, aContext)'>
! !

!Object methodsFor: '*Wrappers-JQuery'!

asJQuery
	<inlineJS: 'return jQuery(self)'>
!

asJQueryInContext: aContext
	<inlineJS: 'return jQuery(self, aContext)'>
! !

!String methodsFor: '*Wrappers-JQuery'!

asJQuery
	<inlineJS: 'return jQuery(String(self))'>
!

asJQueryInContext: aContext
	<inlineJS: 'return jQuery(String(self), aContext)'>
! !

